Bug 1395190 (CVE-2016-10208) - CVE-2016-10208 kernel: EXT4 memory corruption / SLAB out-of-bounds read
Summary: CVE-2016-10208 kernel: EXT4 memory corruption / SLAB out-of-bounds read
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-10208
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161115,repor...
Depends On: 1332503 1430968 1430969 1430970 1430971 1430972 1444529 1459302
Blocks: 1395193
TreeView+ depends on / blocked
 
Reported: 2016-11-15 11:39 UTC by Andrej Nemec
Modified: 2019-06-11 11:13 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Mounting a crafted EXT4 image read-only leads to an attacker controlled memory corruption and SLAB-Out-of-Bounds reads.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:02:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1297 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-05-25 17:28:57 UTC
Red Hat Product Errata RHSA-2017:1298 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-05-25 17:39:36 UTC
Red Hat Product Errata RHSA-2017:1308 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2017-05-25 19:32:54 UTC

Description Andrej Nemec 2016-11-15 11:39:14 UTC
Mounting a crafted EXT4 image read-only leads to a memory corruption and SLAB-Out-of-Bounds Reads (according to KASAN). Automounting a disk image either as USB or loopback is not configured by default on servers but is enabled on desktop environments.

Attackers with a remote connection will likely be unable to trigger this vulnerability on the commandline. Instead the automatic mounting feature of the GUI via a crafted USB-device is required.

The system will likely panic with a page fault, but attackers may be able to map another page in the correct location and be able to overwrite or corrupt memory possibly leading to privilege escalation. 

References:

http://seclists.org/fulldisclosure/2016/Nov/75

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1332503

Upstream patch:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=3a4b77cd47bb837b8557595ec7425f281f2ca1fe

Introduced in:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=952fc18ef9ec707ebdc16c0786ec360295e5ff15

Comment 3 Wade Mealing 2016-11-25 07:11:36 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7, MRG-2 and realtime kernels. This has been rated as having Moderate security impact and is currently planned to be addressed in future updates.

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 4 Wade Mealing 2017-03-10 02:24:08 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1430968]

Comment 6 Justin M. Forbes 2017-03-10 13:51:20 UTC
This was fixed for all fedora releases on 2017-02-14 in the 4.9.9 stable update.

Comment 8 errata-xmlrpc 2017-05-25 13:30:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2017:1297 https://access.redhat.com/errata/RHSA-2017:1297

Comment 9 errata-xmlrpc 2017-05-25 13:41:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1298 https://access.redhat.com/errata/RHSA-2017:1298

Comment 10 errata-xmlrpc 2017-05-25 15:38:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1308 https://access.redhat.com/errata/RHSA-2017:1308


Note You need to log in before you can comment on or make changes to this bug.